net.fortuna.ical4j.model.property

## Class Version

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Property
    - - net.fortuna.ical4j.model.property.Version

All Implemented Interfaces:
  Serializable

    public class Version
    extends Property

$Id$ Created: [Apr 6, 2004] Defines a VERSION iCalendar property. When creating a new calendar you should always add a version property with value "2.0". There is actually a constant defined in the Version class for this. e.g: `Calendar calendar = new Calendar();` `calendar.getProperties().add(Version.VERSION_2_0);`

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Field Summary

Fields
`static Version` `VERSION_2_0` iCalendar version 2.0.

### Fields inherited from class net.fortuna.ical4j.model.Property

`ACTION, ATTACH, ATTENDEE, BUSYTYPE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, COUNTRY, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, EXTENDED_ADDRESS, FREEBUSY, GEO, LAST_MODIFIED, LOCALITY, LOCATION, LOCATION_TYPE, METHOD, NAME, ORGANIZER, PERCENT_COMPLETE, POSTALCODE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, REGION, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, STREET_ADDRESS, SUMMARY, TEL, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`Version()` Default constructor.
`Version(ParameterList aList, String aValue)`
`Version(ParameterList aList, String aVersion1, String aVersion2)`
`Version(String minVersion, String maxVersion)`

### Method Summary

Methods
`String` `getMaxVersion()`
`String` `getMinVersion()`
`String` `getValue()`
`void` `setMaxVersion(String maxVersion)`
`void` `setMinVersion(String minVersion)`
`void` `setValue(String aValue)` Sets the current value of the property.
`void` `validate()` Perform validation on a property.

### Methods inherited from class net.fortuna.ical4j.model.Property

`copy, equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### VERSION_2_0

    public static final Version VERSION_2_0

iCalendar version 2.0.

### Constructor Detail

#### Version

    public Version()

Default constructor.

#### Version

    public Version(ParameterList aList,
           String aValue)

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component

#### Version

    public Version(String minVersion,
           String maxVersion)

Parameters:
  `minVersion` - a string representation of the minimum version
  `maxVersion` - a string representation of the maximum version

#### Version

    public Version(ParameterList aList,
           String aVersion1,
           String aVersion2)

Parameters:
  `aList` - a list of parameters for this component
  `aVersion1` - a string representation of the minimum version
  `aVersion2` - a string representation of the maximum version

### Method Detail

#### getMaxVersion

    public final String getMaxVersion()

Returns:
  Returns the maxVersion.

#### getMinVersion

    public final String getMinVersion()

Returns:
  Returns the minVersion.

#### setValue

    public void setValue(String aValue)

Sets the current value of the property.

Specified by:
  `setValue` in class `Property`
Parameters:
  `aValue` - a string representation of the property value

#### getValue

    public final String getValue()

Specified by:
  `getValue` in class `Content`
Returns:
  the content value

#### setMaxVersion

    public void setMaxVersion(String maxVersion)

Parameters:
  `maxVersion` - The maxVersion to set.

#### setMinVersion

    public void setMinVersion(String minVersion)

Parameters:
  `minVersion` - The minVersion to set.

#### validate

    public final void validate()
                        throws ValidationException

Perform validation on a property.

Specified by:
  `validate` in class `Property`
Throws:
  `ValidationException` - where the property is not in a valid state